{
  lib,
  config,
  pkgs,
  ...
}:
let
  cfg = config.krop.hm.programs.ghostty;
in
{
  options.krop.hm.programs.ghostty = {
    enable = lib.mkOption {
      type = lib.types.bool;
      default = true;
      example = false;
      description = "Enable my ghostty configuration";
    };
  };
  config = lib.mkIf cfg.enable {
    programs.ghostty = {
      enable = true;
      enableZshIntegration = true;
      settings = {
        font-size = 10;
        font-family = "JetBrains Mono Medium";
      };
    };
  };
}
